org.wso2.carbon.dataservices.ui.stub

## Class DataServiceAdminExceptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.dataservices.ui.stub.DataServiceAdminExceptionException

- All Implemented Interfaces:
    Serializable

      public class DataServiceAdminExceptionException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceAdminExceptionException()`
    `DataServiceAdminExceptionException(String s)`
    `DataServiceAdminExceptionException(String s, Throwable ex)`
    `DataServiceAdminExceptionException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataServiceAdminException` | `getFaultMessage()`
    `void` | `setFaultMessage(DataServiceAdminException msg)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceAdminExceptionException

          public DataServiceAdminExceptionException()

    - #### DataServiceAdminExceptionException

          public DataServiceAdminExceptionException(String s)

    - #### DataServiceAdminExceptionException

          public DataServiceAdminExceptionException(String s,
                                                    Throwable ex)

    - #### DataServiceAdminExceptionException

          public DataServiceAdminExceptionException(Throwable cause)

  - ### Method Detail

    - #### setFaultMessage

          public void setFaultMessage(DataServiceAdminException msg)

    - #### getFaultMessage

          public DataServiceAdminException getFaultMessage()

Copyright © 2019 WSO2. All rights reserved.